package com.lqkj.cmlcp.module.api.controller;

import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.api.domain.ApiInfo;
import com.lqkj.cmlcp.module.api.service.ApiInfoService;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@Tag(name = "产品配置接口", description = "产品配置接口")
@RequestMapping("/api")
public class ApiInfoController {

    @Autowired
    private ApiInfoService apiInfoService;


    @PostMapping("/saveApi")
    public Result saveConfig(@RequestBody ApiInfo apiInfo) {
        apiInfoService.saveApi(apiInfo);
        return Result.ok();
    }

    @GetMapping("/getAll")
    public Result getConfig(@RequestParam(required = false, defaultValue = "") String name,
                            @RequestParam(required = true) Integer type) {
        return Result.ok(apiInfoService.findAll(name, type));
    }

    @PostMapping("/delete")
    public Result delete(@RequestBody List<Integer> ids) {
        apiInfoService.delete(ids);
        return Result.ok();
    }

}
