package com.lqkj.cmlcp.module.api.service.impl;

import com.lqkj.cmlcp.module.api.domain.ApiInfo;
import com.lqkj.cmlcp.module.api.repository.ApiInfoRepository;
import com.lqkj.cmlcp.module.api.service.ApiInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class ApiInfoServiceImpl implements ApiInfoService {


    @Autowired
    private ApiInfoRepository apiInfoRepository;
    @Override
    @Transactional
    public void saveApi(ApiInfo apiInfo) {
        apiInfoRepository.save(apiInfo);
    }

    @Override
    public List<ApiInfo> findAll(String name, Integer type) {
        return apiInfoRepository.findAllByType(name, type);
    }

    @Override
    public void delete(List<Integer> ids) {
        apiInfoRepository.deleteAllById(ids);
    }
}
